PROBE::SIGNAL.SYS_(3stap)

NAME
probe::signal.sys_tgkill - Sending kill signal to a thread group

SYNOPSIS

signal.sys_tgkill

VALUES

sig_pid
    The PID of the thread receiving the kill signal

task
    A task handle to the signal recipient

name
    Name of the probe point

sig
    The specific kill signal sent to the process

tgid
    The thread group ID of the thread receiving the kill signal

sig_name
    A string representation of the signal

pid_name
    The name of the signal recipient

DESCRIPTION

The tgkill call is similar to tkill, except that it also allows the caller to specify the thread group ID of the thread to be signalled. This protects against TID reuse.

SEE ALSO
tapset::signal(3stap)